Bug 429114 - Automate python/c++ interop testing.
Automate python/c++ interop testing.
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-cpp (Show other bugs)
beta
All Linux
urgent Severity urgent
: ---
: ---
Assigned To: Alan Conway
Kim van der Riet
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-17 08:51 EST by Alan Conway
Modified: 2009-08-21 11:33 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-08-21 11:33:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alan Conway 2008-01-17 08:51:37 EST
1. Add verify scripts for the interop tests below to the C++ build.
2. Add verify scripts to the qpidd package so they can be run on installed
broker/clients.

Tests:
>   Direct:
> 
>       python config, python producer, python consumer
>       python config, python producer, c++ consumer
>       python config, c++ producer, python consumer
>       python config, c++ producer, c++ consumer
>       c++ config, python producer, python consumer
>       c++ config, python producer, c++ consumer
>       c++ config, c++ producer, python consumer
>       c++  config, c++ producer, c++ consumer
> 
>   Fanout:
> 
>       python config, python producer, python consumer
>       python config, python producer, c++ consumer
>       python config, c++ producer, python consumer
>       python config, c++ producer, c++ consumer
>       c++ config, python producer, python consumer
>       c++ config, python producer, c++ consumer
>       c++ config, c++ producer, python consumer
>       c++  config, c++ producer, c++ consumer
> 
>  Pub/sub:
> 
>    c++ publisher,  c++ subscriber
>    c++ publisher,  python subscriber
>    python publisher,  c++ subscriber
>    python publisher, python subscribe
> 
>  Request/response:
> 
>    c++ client, c++ server
>    c++ client, python server
>    python client, c++ server
>    python client, python server
>
Comment 1 Jonathan Robie 2008-01-17 12:13:13 EST
Now that the Java examples interoperate, they should be tested as well.

For Java/C++ compatibility, replace python in the above matrix with Java. For
Java/python compatibility, replace c++ in the above matrix with Java.
Comment 2 Alan Conway 2008-02-08 12:04:27 EST
Added python/cpp cross tests in revision 619903
Comment 3 Alan Conway 2008-02-08 17:40:08 EST
Automated as part of C++ build, scripts committed r620014
Comment 4 Mike Bonnet 2008-02-29 11:42:57 EST
qpidd-0.2-24.el5, qpidc-0.2-24.el5, and rhm-0.2-18.el5 have been pushed to the staging repo for testing

Note You need to log in before you can comment on or make changes to this bug.